{
    "scan": {
        "analyzer-version-gcc": "16.1.1"
    },
    "defects": [
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 150,
                    "column": 3,
                    "h_size": 14,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL '0'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1734,
                    "column": 6,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'luaC_fullgc'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1738,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1739,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1739,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'fullinc' from 'luaC_fullgc'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1714,
                    "column": 13,
                    "h_size": 7,
                    "event": "enter_function",
                    "message": "entry to 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1715,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'entersweep' from 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1490,
                    "column": 13,
                    "h_size": 10,
                    "event": "enter_function",
                    "message": "entry to 'entersweep'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1494,
                    "column": 16,
                    "h_size": 25,
                    "event": "call_function",
                    "message": "calling 'sweeptolive' from 'entersweep'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 855,
                    "column": 19,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'sweeptolive'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 858,
                    "column": 9,
                    "h_size": 24,
                    "event": "call_function",
                    "message": "calling 'sweeplist' from 'sweeptolive'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 828,
                    "column": 19,
                    "h_size": 9,
                    "event": "enter_function",
                    "message": "entry to 'sweeplist'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 846,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'countout' is NULL)...",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 858,
                    "column": 9,
                    "h_size": 24,
                    "event": "return_function",
                    "message": "returning to 'sweeptolive' from 'sweeplist'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 859,
                    "column": 12,
                    "h_size": 8,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 860,
                    "column": 10,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1494,
                    "column": 16,
                    "h_size": 25,
                    "event": "return_function",
                    "message": "returning to 'entersweep' from 'sweeptolive'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "return_function",
                    "message": "returning to 'fullinc' from 'entersweep'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1718,
                    "column": 3,
                    "h_size": 38,
                    "event": "call_function",
                    "message": "calling 'luaC_runtilstate' from 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1656,
                    "column": 6,
                    "h_size": 16,
                    "event": "enter_function",
                    "message": "entry to 'luaC_runtilstate'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1658,
                    "column": 10,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1659,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1659,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'singlestep' from 'luaC_runtilstate'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1589,
                    "column": 15,
                    "h_size": 10,
                    "event": "enter_function",
                    "message": "entry to 'singlestep'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1602,
                    "column": 10,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1607,
                    "column": 16,
                    "h_size": 16,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1607,
                    "column": 16,
                    "h_size": 16,
                    "event": "call_function",
                    "message": "calling 'propagatemark' from 'singlestep'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 664,
                    "column": 15,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to 'propagatemark'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 670,
                    "column": 32,
                    "h_size": 26,
                    "event": "call_function",
                    "message": "calling 'traverseudata' from 'propagatemark'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 569,
                    "column": 12,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to 'traverseudata'",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 574,
                    "column": 3,
                    "h_size": 22,
                    "event": "call_function",
                    "message": "calling 'genlink' from 'traverseudata'",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 430,
                    "column": 13,
                    "h_size": 7,
                    "event": "enter_function",
                    "message": "entry to 'genlink'",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 432,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 433,
                    "column": 5,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 433,
                    "column": 5,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "calling 'getgclist' from 'genlink'",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 125,
                    "column": 19,
                    "h_size": 9,
                    "event": "enter_function",
                    "message": "entry to 'getgclist'",
                    "verbosity_level": 8
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 433,
                    "column": 5,
                    "h_size": 1,
                    "event": "return_function",
                    "message": "returning to 'genlink' from 'getgclist'",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 433,
                    "column": 5,
                    "h_size": 1,
                    "event": "call_function",
                    "message": "inlined call to 'linkgclist_' from 'genlink'",
                    "verbosity_level": 7
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 150,
                    "column": 3,
                    "h_size": 14,
                    "event": "danger",
                    "message": "dereference of NULL 'getgclist(o)'",
                    "verbosity_level": 8
                }
            ]
        },
        {
            "checker": "GCC_ANALYZER_WARNING",
            "cwe": 476,
            "language": "c/c++",
            "tool": "gcc-analyzer",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 667,
                    "column": 13,
                    "h_size": 13,
                    "event": "warning[-Wanalyzer-null-dereference]",
                    "message": "dereference of NULL '0'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1734,
                    "column": 6,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'luaC_fullgc'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1738,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1739,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1739,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'fullinc' from 'luaC_fullgc'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1714,
                    "column": 13,
                    "h_size": 7,
                    "event": "enter_function",
                    "message": "entry to 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1715,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'entersweep' from 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1490,
                    "column": 13,
                    "h_size": 10,
                    "event": "enter_function",
                    "message": "entry to 'entersweep'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1494,
                    "column": 16,
                    "h_size": 25,
                    "event": "call_function",
                    "message": "calling 'sweeptolive' from 'entersweep'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 855,
                    "column": 19,
                    "h_size": 11,
                    "event": "enter_function",
                    "message": "entry to 'sweeptolive'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 858,
                    "column": 9,
                    "h_size": 24,
                    "event": "call_function",
                    "message": "calling 'sweeplist' from 'sweeptolive'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 828,
                    "column": 19,
                    "h_size": 9,
                    "event": "enter_function",
                    "message": "entry to 'sweeplist'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 846,
                    "column": 6,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch (when 'countout' is NULL)...",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 848,
                    "column": 10,
                    "h_size": 23,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 858,
                    "column": 9,
                    "h_size": 24,
                    "event": "return_function",
                    "message": "returning to 'sweeptolive' from 'sweeplist'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 859,
                    "column": 12,
                    "h_size": 8,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 860,
                    "column": 10,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1494,
                    "column": 16,
                    "h_size": 25,
                    "event": "return_function",
                    "message": "returning to 'entersweep' from 'sweeptolive'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1716,
                    "column": 5,
                    "h_size": 13,
                    "event": "return_function",
                    "message": "returning to 'fullinc' from 'entersweep'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1718,
                    "column": 3,
                    "h_size": 38,
                    "event": "call_function",
                    "message": "calling 'luaC_runtilstate' from 'fullinc'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1656,
                    "column": 6,
                    "h_size": 16,
                    "event": "enter_function",
                    "message": "entry to 'luaC_runtilstate'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1658,
                    "column": 10,
                    "h_size": 2,
                    "event": "branch_true",
                    "message": "following 'true' branch...",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1659,
                    "column": 5,
                    "h_size": 13,
                    "event": "branch_true",
                    "message": "...to here",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1659,
                    "column": 5,
                    "h_size": 13,
                    "event": "call_function",
                    "message": "calling 'singlestep' from 'luaC_runtilstate'",
                    "verbosity_level": 3
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1589,
                    "column": 15,
                    "h_size": 10,
                    "event": "enter_function",
                    "message": "entry to 'singlestep'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1602,
                    "column": 10,
                    "h_size": 1,
                    "event": "branch_false",
                    "message": "following 'false' branch...",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1607,
                    "column": 16,
                    "h_size": 16,
                    "event": "branch_false",
                    "message": "...to here",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 1607,
                    "column": 16,
                    "h_size": 16,
                    "event": "call_function",
                    "message": "calling 'propagatemark' from 'singlestep'",
                    "verbosity_level": 4
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 664,
                    "column": 15,
                    "h_size": 13,
                    "event": "enter_function",
                    "message": "entry to 'propagatemark'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 667,
                    "column": 14,
                    "h_size": 12,
                    "event": "call_function",
                    "message": "calling 'getgclist' from 'propagatemark'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 125,
                    "column": 19,
                    "h_size": 9,
                    "event": "enter_function",
                    "message": "entry to 'getgclist'",
                    "verbosity_level": 6
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 667,
                    "column": 14,
                    "h_size": 12,
                    "event": "return_function",
                    "message": "returning to 'propagatemark' from 'getgclist'",
                    "verbosity_level": 5
                },
                {
                    "file_name": "/builddir/build/BUILD/lua-5.4.8-build/lua-5.4.8/src/lgc.c",
                    "line": 667,
                    "column": 13,
                    "h_size": 13,
                    "event": "danger",
                    "message": "dereference of NULL 'getgclist(o)'",
                    "verbosity_level": 5
                }
            ]
        }
    ]
}
